Bug 212941 - (pirutrepoconfig) RFE: Pirut/Pup -- Yum configuration and repository management in Pirut/system-config-?? app
RFE: Pirut/Pup -- Yum configuration and repository management in Pirut/system...
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: 232687 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-10-30 03:55 EST by Gian Paolo Mureddu
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-11 14:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2006-10-30 03:55:43 EST

Managing repositories is kind of difficult with the current state of things.
There is no central application that will allow to switch on or off the
different repositories that a user may have installed. This is of special
interest for people who use packages from conflicting repositories like Livna
and Freshrpms, especially when it comes to “specialized” applications (like
Cinelerra, for which there's no build in Livna, but there's one from Freshrpms).
The proposed enhancement would be to add the ability to Pirut to open a
configuration dialog (which could also be accessed from the System ->
Administration menu entry) in which users could manipulate various aspects of
the behavior of the installed yum repositories. Amongst the proposed features are:

* Ability to select which repositories will be active for the current/next
session of pirut/pup/yum.

* Display information about the different repositories installed.

* Ability to tell if a given repository's GPG key has been imported, and import it.

* Ability to toggle “unassisted” mode. Basically if user action is required
after performing the selected task (like pressing an OK button) or if the
program silently exits, leaving as only evidence the corresponding yum.log
entries. Have exceptions to this behavior or configurable actions for packages
such as the kernel, hal, initscripts, et al. when left unassisted, the computer
will either reboot or shutdown (or prompt for user action).

* Ability to create profiles. These profiles could be useful for instance, when
running Pup, as the default behavior is to close the application when it has
finished. However in the cases that advanced repository management is needed,
when running Pup it should be possible to toggle and option so Pup will not
close, allowing to change the profile/repository definition and update the
packages from that/those repo(s).

* Make the Pirut invoked configuration dialog a stand alone application

These enhancements would render Pirut and Pup much more useful than they
currently are, not to mention that they would be better integrated and
Comment 1 Jeremy Katz 2006-10-30 13:49:32 EST
Adding support for repo configuration is planned. The rest seems somewhat
overkill for options to have.  In the future, please file separate issues as
separate bugs so that they can be individually addressed
Comment 2 Jeremy Katz 2007-03-19 18:18:44 EDT
*** Bug 232687 has been marked as a duplicate of this bug. ***
Comment 3 Jeremy Katz 2007-09-11 14:18:50 EDT
Repo configuration exists for Fedora 8 

Note You need to log in before you can comment on or make changes to this bug.